﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Calc2Contract;
using Calc2AddInView;
using System.AddIn.Pipeline;
namespace Calc2AddInSideAdapter
{
    public class CalculatorViewToContractAddInSideAdapter
    {
        [AddInAdapterAttribute]
        public class CalculatorViewToContractAddInAdapter : ContractBase, ICalc2Contract
        {

            private Calculator2 _view;

            public CalculatorViewToContractAddInAdapter(Calculator2 calculator)
            {
                _view = calculator;
            }

            public string GetAvailableOperations()
            {
                return _view.Operations;
            }

            public double Operate(string operation, double a, double b)
            {
                return _view.Operate(operation, a, b);
            }

        }
    }
}
